using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class SlopeTypeABlockStageObject : BlockStageObject
	{
		//ハーフブロック（高さ半分）
		public SlopeTypeABlockStageObject(int x, int y, string imgName)
			: base(x, y)
		{
			image = ImageManager.Search(imgName);
			Range = new SlopeTypeACollideRange(this);
			((SlopeTypeACollideRange)Range).P1 = new Point(0, 0);
			((SlopeTypeACollideRange)Range).P2 = new Point(this.Width >> 1, 0);
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}
